﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        int monX, monY;
        Image imgLapin; 

        private void lapin_MouseDown(object sender, MouseEventArgs e)
        {
            PictureBox lap = (PictureBox)sender;
            imgLapin = lap.Image;
            if (radioButton2.Checked)
            {
                monX = e.X;
                monY = e.Y;
                lap.DoDragDrop("coucou", DragDropEffects.Copy);
            }
            else if (radioButton3.Checked)
            {
                lap.Dispose();
                bool LapinsVivants = false;
                foreach (Control truc in this.Controls)
                {
                    if (truc is PictureBox)
                    { LapinsVivants = true; }
                }
                if (LapinsVivants == false)
                {   
                    MessageBox.Show("Tous les lapins sont morts !", "Exterminator");
                    Application.Exit();
                }
            }
        }

        private void lapin_DragEnter(object sender, DragEventArgs e)
        {
            e.Effect = DragDropEffects.Copy;
        }

        private void lapin_DragDrop(object sender, DragEventArgs e)
        {
            PictureBox newLap = new PictureBox();
            this.Controls.Add(newLap);
            newLap.Top = e.Y - this.Top - 31 - monY;
            newLap.Left = e.X - this.Left - 7 - monX;
            newLap.SizeMode = PictureBoxSizeMode.AutoSize;
            newLap.Image = imgLapin;
            newLap.BringToFront();
            newLap.MouseDown += new MouseEventHandler(lapin_MouseDown);
        }

        private void radioButton3_CheckedChanged(object sender, EventArgs e)
        {
            if (radioButton3.Checked)
            {
                this.Cursor = Cursors.Cross;
                groupBox1.Cursor = Cursors.Default;
            }
            else
            {
                this.Cursor = Cursors.Default;
            }
        }

        private void pictureBox1_DragEnter(object sender, DragEventArgs e)
        {
            e.Effect = DragDropEffects.None;
        }

        private void pictureBox1_DragDrop(object sender, DragEventArgs e)
        {
            this.Text = "No !";
        }




    }
}
